configfile: 'config.yaml'


rule match:
    '''
    Match strain names to NCBI nodes.
    This step uses `alvisnlp`.
    '''
    output:
        directory(config['OUTDIR'] + '/' + config['DSMZ_MATCH_DIR'])

    input:
        match='./dsmz-match.py',
        strains=config['OUTDIR'] + '/' + config['DSMZ_STRAINS_DIR']

    shell: '''{input.match} {config[NCBI_DIR]}/nodes.dmp {config[NCBI_DIR]}/names.dmp {input.strains} {output}'''
